org.apache.synapse.transport.netty.api.config

## Class SSLConfiguration

- java.lang.Object
- - org.apache.synapse.transport.netty.api.config.SSLConfiguration

-     public class SSLConfiguration
      extends java.lang.Object

  `SSLConfiguration` encapsulates the transport level security related configurations.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SSLConfiguration.SSLConfigurationBuilder` Builder class for the SSLConfiguration.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLConfiguration(SSLConfiguration.SSLConfigurationBuilder builder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClientAuthEl()`
    `org.apache.axiom.om.OMElement` | `getClientAuthElement()`
    `java.lang.String` | `getHandshakeTimeout()`
    `org.apache.axiom.om.OMElement` | `getHandshakeTimeoutElement()`
    `org.apache.axiom.om.OMElement` | `getHttpsProtocolElement()`
    `java.lang.String` | `getHttpsProtocolsEl()`
    `java.lang.String` | `getKeyStore()`
    `org.apache.axiom.om.OMElement` | `getKeyStoreElement()`
    `org.apache.axiom.om.OMElement` | `getPreferredCiphersElement()` Return a OMElement of preferred ciphers parameter values.
    `java.lang.String` | `getRevocationVerifier()`
    `org.apache.axiom.om.OMElement` | `getRevocationVerifierElement()`
    `java.lang.String` | `getSessionTimeout()`
    `org.apache.axiom.om.OMElement` | `getSessionTimeoutElement()`
    `java.lang.String` | `getSslProtocol()`
    `org.apache.axiom.om.OMElement` | `getSslProtocolElement()`
    `java.lang.String` | `getTrustStore()`
    `org.apache.axiom.om.OMElement` | `getTrustStoreElement()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLConfiguration

          public SSLConfiguration(SSLConfiguration.SSLConfigurationBuilder builder)

  - ### Method Detail

    - #### getKeyStoreElement

          public org.apache.axiom.om.OMElement getKeyStoreElement()

    - #### getClientAuthElement

          public org.apache.axiom.om.OMElement getClientAuthElement()

    - #### getTrustStoreElement

          public org.apache.axiom.om.OMElement getTrustStoreElement()

    - #### getRevocationVerifierElement

          public org.apache.axiom.om.OMElement getRevocationVerifierElement()

    - #### getHttpsProtocolElement

          public org.apache.axiom.om.OMElement getHttpsProtocolElement()

    - #### getSslProtocolElement

          public org.apache.axiom.om.OMElement getSslProtocolElement()

    - #### getSessionTimeoutElement

          public org.apache.axiom.om.OMElement getSessionTimeoutElement()

    - #### getHandshakeTimeoutElement

          public org.apache.axiom.om.OMElement getHandshakeTimeoutElement()

    - #### getPreferredCiphersElement

          public org.apache.axiom.om.OMElement getPreferredCiphersElement()

      Return a OMElement of preferred ciphers parameter values.
      Returns:
        OMElement

    - #### getSslProtocol

          public java.lang.String getSslProtocol()

    - #### getKeyStore

          public java.lang.String getKeyStore()

    - #### getTrustStore

          public java.lang.String getTrustStore()

    - #### getClientAuthEl

          public java.lang.String getClientAuthEl()

    - #### getHttpsProtocolsEl

          public java.lang.String getHttpsProtocolsEl()

    - #### getRevocationVerifier

          public java.lang.String getRevocationVerifier()

    - #### getHandshakeTimeout

          public java.lang.String getHandshakeTimeout()

    - #### getSessionTimeout

          public java.lang.String getSessionTimeout()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.